# Packmangroup: Multimedia
# Packmanpackagename: gxine
# Packman: Manfred Tremmel
# Packmanpackagedesc: <p>This is a GTK+ based GUI for the libxine video player library. It provides gxine, a media player that can play all the audio/video formats that libxine supports. Currently, this includes MPEG1/2, some AVI and Quicktime files, some network streaming methods and disc based media (VCD, SVCD, DVD).<br>A more complete list can be found on <a href=http://xine.sourceforge.net>http://xine.sourceforge.net</a></p><p>Most DVDs on the market today are play-protected by the Content Scrambling System (CSS). libxine does not provide any code to descramble those DVDs, because of legal uncertainties. If you still want to play those DVDs, you'll need a CSS decryption library like <a href=/package/libdvdcss2>libdvdcss</a> that is supported by libxine.</p>
# Packmanpackagedesc_de: <p>Dies ist eine GTK+ basierte GUI f&uuml;r die libxine Video Player Bibliothek. Sie stellt gxine, einen Media Player zur Verf&uuml;gung, welcher alle die Audio- und Video-Formate abspielen kann, die von der libxine Bibliothek unterst&uuml;tzt werden. Momentan beinhaltet dies MPEG 1/2, einige AVI und Quicktime Formate, einige Netzwerk-Streaming-Metoden und Disk-basierende Medien (VCD, SVCD, DVD).</p><p>Eine vollst&auml;ndige Liste kann unter <a href=http://xine.sourceforge.net>http://xine.sourceforge.net</a> eingesehen werden.</p><p>Die meisten erh&auml;ltlichen DVDs sind mit dem &quot;Content Scrambling System&quot; (CSS) technisch gesch&uuml;tzt. Die libxine bringt keine Funktionalit&auml;t mit, diese DVDs zu entschl&uuml;sseln, da dies in vielen L&auml;ndern illegal ist. Sollten Sie trotzdem solche DVDs abspielen wollen, ben&ouml;tigen Sie eine CSS Entschl&uuml;sselungsbibliothek wie die <a href=/package/libdvdcss2>libdvdcss</a>, welche von der libxine unterst&uuml;tzt wird.</p>
# norootforbuild

%define major     2
%define libname   libxine%{major}
%define libvers   1.2.0

%define	ginstall install -c

Name:           gxine
Summary:        GTK-based GUI for xine libraries
Summary(de):    GTK basierende grafische Oberfläche für die xine-Bibliotheken
Version:        0.5.907
Release:        6.31
License:        GPL
Group:          Productivity/Multimedia/Video/Players
URL:            http://www.xine-project.org/home
Source0:        gxine-%{version}.tar.bz2
Patch0:         gxine-glibfix.diff
Requires:       %{libname} >= %{libvers}
BuildRequires:  %{libname}-devel >= %{libvers}
BuildRequires:  lirc
%if %suse_version > 1110
BuildRequires:  lirc-devel
%endif
BuildRequires:  xorg-x11-devel
BuildRequires:  xorg-x11-libs
BuildRequires:  glib2
BuildRequires:  glib2-devel
BuildRequires:  gtk2
BuildRequires:  gtk2-devel
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  gcc
BuildRequires:  libffmpeg-devel
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
%if %suse_version > 1210
BuildRequires:  xulrunner
BuildRequires:  xulrunner-devel
Requires:       xulrunner
%else
%if %suse_version > 1110
BuildRequires:  mozilla-xulrunner192
BuildRequires:  mozilla-xulrunner192-devel
Requires:       mozilla-xulrunner192
%else
BuildRequires:  mozilla-xulrunner181
BuildRequires:  mozilla-xulrunner181-devel
Requires:       mozilla-xulrunner181
%endif
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
This is a GTK+ based GUI for the libxine video player library.
It provides gxine, a  media player that can play all the audio/video formats
that libxine supports. Currently, this includes MPEG1/2, some AVI and
Quicktime files, some network streaming methods and disc based media (VCD,
SVCD, DVD).
A more complete list can be found on http://xinehq.de/

Most DVDs on the market today are play-protected by the Content Scrambling
System (CSS). libxine does not provide any code to descramble those DVDs,
because of legal uncertainties. If you still want to play those DVDs, you'll
need a CSS decryption library like libdvdcss that is supported by libxine.

%description -l de
Dies ist eine GTK+ basierte GUI für die libxine Video Player Bibliothek.
Sie stellt gxine, einen Media Player zur Verfügung, welcher alle die Audio-
und Video-Formate abspielen kann, die von der libxine Bibliothek unterstützt
werden. Momentan beinhaltet dies MPEG 1/2, einige AVI und Quicktime Formate,
einige Netzwerk-Streaming-Metoden und Disk-basierende Medien (VCD, SVCD, DVD).

Eine vollständige Liste kann unter http://xinehq.de/ eingesehen werden.

Die meisten erhältlichen DVDs sind mit dem "Content Scrambling System" (CSS)
technisch geschützt. Die libxine bringt keine Funktionalität mit, diese
DVDs zu entschlüsseln, da dies in vielen Ländern illegal ist. Sollten Sie
trotzdem solche DVDs abspielen wollen, benötigen Sie eine CSS
Entschlüsselungsbibliothek wie die libdvdcss, welche von der libxine
unterstützt wird.

%package browser-plugin
Summary:        Gxine browser plugin
Summary(de):    Gxine Browser Plugin
Group:          Productivity/Multimedia/Video/Players
Requires:       %{name} = %{version}-%{release}

%description browser-plugin
Browser plugin for mozilla and other browsers using the same plugin infrastructure.

%description browser-plugin -l de
Browser plugin für Mozilla und andere Browser welche die selbe Plugin-Infrastruktur
verwenden.

%prep
%setup -n %{name}-%{version}
%if %suse_version > 1210
%patch0 -p1
%endif

%build
%if %suse_version > 1110
   NO_CONFIGURE=1 ./autogen.sh
   if [ ! -f mkinstalldirs ]; then
     cp `rpm -ql automake | grep mkinstalldirs` .
   fi
%else
if [ ! -f configure ]; then
   NO_CONFIGURE=1 ./autogen.sh
   if [ ! -f mkinstalldirs ]; then
     cp `rpm -ql automake | grep mkinstalldirs` .
   fi
fi
%endif

#
# currently we do not use %%configure as it seems to cause trouble with
# certain automake produced configure scripts - depending on automake version.
#
export CPPFLAGS="${CPPFLAGS} -I%{_includedir}/js"
%if %suse_version > 1110
export LDFLAGS="${LDFLAGS} -lm -L%{_libdir}/xulrunner-1.9.2/"
%else
export LDFLAGS="${LDFLAGS} -L%{_libdir}/xulrunner-1.8.1/"
%endif
./configure --build=%{_target_platform} --prefix=%{_prefix} \
	    --exec-prefix=%{_exec_prefix} --bindir=%{_bindir} \
	    --sbindir=%{_sbindir} --sysconfdir=%{_sysconfdir} \
	    --datadir=%{_datadir} --includedir=%{_includedir} \
	    --libdir=%{_libdir} --libexecdir=%{_libexecdir} \
	    --localstatedir=%{_localstatedir} \
	    --sharedstatedir=%{_sharedstatedir} --mandir=%{_mandir} \
	    --infodir=%{_infodir}
%{__make} %{?jobs:-j%{jobs}}

%install
%{makeinstall}
%{__mkdir_p} %{buildroot}/%{_libdir}/browser-plugins
cd %{buildroot}/%{_libdir}/browser-plugins/
%{__ln_s} ../gxine/gxineplugin.so .
mv %{buildroot}%{_bindir}/gxine %{buildroot}%{_bindir}/gxine_bin

%if %suse_version > 1210
echo -e "#\041/bin/sh\012#\012# startscript for gxine\012#\012\012export LD_LIBRARY_PATH=%{_libdir}/xulrunner-`/usr/bin/xulrunner --gre-version`/\012gxine_bin \"\$@\"\012\012exit 0\012" > %{buildroot}/%{_bindir}/gxine
%else
%if %suse_version > 1110
echo -e "#\041/bin/sh\012#\012# startscript for gxine\012#\012\012export LD_LIBRARY_PATH=%{_libdir}/xulrunner-1.9.2/\012gxine_bin \"\$@\"\012\012exit 0\012" > %{buildroot}/%{_bindir}/gxine
%else
echo -e "#\041/bin/sh\012#\012# startscript for gxine\012#\012\012export LD_LIBRARY_PATH=%{_libdir}/xulrunner-1.8.1/\012gxine_bin \"\$@\"\012\012exit 0\012" > %{buildroot}/%{_bindir}/gxine
%endif
%endif
chmod 755 %{buildroot}/%{_bindir}/gxine
%suse_update_desktop_file -r gxine AudioVideo Player Video
sed -i -n '1h;2,$H;${g;s/\nx-content\/video-svcd\n/;x-content\/video-svcd;/g;p}' %{buildroot}%{_datadir}/applications/gxine.desktop

%post browser-plugin
if [ "$1" = "1" ] || [ "$1" = "2" ] ; then # install or update
	# plugindirs to check
	PLUGINDIRS='/opt/mozilla/%{_lib}/plugins /opt/MozillaFirefox/%{_lib}/plugins /opt/netscape/plugins /opt/mozilla/plugins %{_libdir}/firefox/plugins'
	# pluginname
	PLUGINNAME='gxineplugin.so'

	for PLUGINDIR in ${PLUGINDIRS}; do
		if [ -d ${PLUGINDIR} ]; then
			# check if plugin directory exists
			if [ ! -L ${PLUGINDIR}/${PLUGINNAME} ]; then
				# remove symlink if it exists
				cd ${PLUGINDIR}
				%{__ln_s} %{_libdir}/browser-plugins/${PLUGINNAME} .
				cd -
			fi
		fi
	done
fi

%preun browser-plugin
if [ "$1" = "0" ]; then # remove
	# plugindirs to check
	PLUGINDIRS='/opt/mozilla/%{_lib}/plugins /opt/MozillaFirefox/%{_lib}/plugins /opt/netscape/plugins /opt/mozilla/plugins %{_libdir}/firefox/plugins'
	# pluginname
	PLUGINNAME='gxineplugin.so'

	for PLUGINDIR in ${PLUGINDIRS}; do
		if [ -d ${PLUGINDIR} ]; then
			# check if plugin directory exists
			if [ -L ${PLUGINDIR}/${PLUGINNAME} ]; then
				# add a symlink if it doesn't exists
				%{__rm} -f ${PLUGINDIR}/${PLUGINNAME}
			fi
		fi
	done
fi

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%dir %{_sysconfdir}/gxine
%config(noreplace) %{_sysconfdir}/gxine/*
%{_bindir}/gxin*
%lang(de) %{_mandir}/de/man1/*
#%lang(fr) %{_mandir}/fr/man1/*
%lang(es) %{_mandir}/es/man1/*
#%lang(pl) %{_mandir}/pl/man1/*
%{_mandir}/man1/*
%{_datadir}/applications/*
%{_datadir}/gxine
%lang(cs) %{_datadir}/locale/cs/LC_MESSAGES/gxine*.mo
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/gxine*.mo
%lang(es) %{_datadir}/locale/es/LC_MESSAGES/gxine*.mo
%lang(fi) %{_datadir}/locale/fi/LC_MESSAGES/gxine*.mo
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/gxine*.mo
%lang(it) %{_datadir}/locale/it/LC_MESSAGES/gxine*.mo
%lang(ja) %{_datadir}/locale/ja/LC_MESSAGES/gxine*.mo
%lang(pl) %{_datadir}/locale/pl/LC_MESSAGES/gxine*.mo
%lang(ru) %{_datadir}/locale/ru/LC_MESSAGES/gxine*.mo
%lang(sv) %{_datadir}/locale/sv/LC_MESSAGES/gxine*.mo
%lang(uk) %{_datadir}/locale/uk/LC_MESSAGES/gxine*.mo
%lang(zh_CN) %{_datadir}/locale/zh_CN/LC_MESSAGES/gxine*.mo
%{_datadir}/pixmaps/gxine*
%{_datadir}/icons/hicolor/*/apps/gxine.png

%files browser-plugin
%defattr(-,root,root)
%dir %{_libdir}/gxine
%{_libdir}/gxine/gxineplugin.*
%{_libdir}/browser-plugins/gxineplugin.*

%changelog
* Thu Feb 02 2012 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.5.907-1
- Update to 0.5.907
* Fri Jan 06 2012 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.5.906-2
- compile against libxine2
* Fri Aug 12 2011 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.5.906-0.pm.0
- Update to 0.5.906
* Tue Feb 23 2010 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.5.905-0.pm.2
- fixed desktop file
* Sat Jan 02 2010 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.5.905-0.pm.1
- Update to 0.5.905
* Mon Dec 14 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.5.904-1.pm.3
- fixed wraper script when opening files with whitespaces
  #290 in xine bugtracker
* Sun Sep 20 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.5.904-1.pm.2
- changes for openSUSE 11.2
* Sat Sep 12 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 0.5.904-1.pm.1
- cleanups where rpmlint wasn't so happy
* Sun Apr 19 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- patch for lirc updated, can't only patch lirc.m4, because
  I can't run autogen.sh with older SUSE versions then 11.1.
  Now patched also configure out of a openSUSE 11.1 build run.
* Sat Apr 18 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.5.904
* Fri Jun 13 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.5.903
* Fri Apr 18 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.5.902
* Sun Mar 09 2008 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.5.901
* Thu Mar 01 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.5.11
* Mon Dec 18 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.5.9
* Sat Nov 25 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- some little changes for SUSE 10.2
* Sun Oct 08 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.5.8
* Wed Jul 05 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.5.7
* Wed May 17 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added wrapper script for SUSE 10.1 to find libmozjs.so
* Tue May 02 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.5.6
* Wed Mar 08 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.5.5
* Tue Jan 24 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.5.4
* Sun Dec 25 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.5.3
* Wed Dec 21 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.5.2
* Sat Dec 03 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.5.1
* Mon Oct 31 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.5.0
* Thu Jul 28 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- excluded browser plugin into a subpackage
* Tue Jul 19 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.4.6
* Wed May 25 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.4.5
* Sun May 08 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.4.4
* Sat Apr 02 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.4.3
* Sat Apr 02 2005 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.4.2
* Fri Dec 17 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.4.1
* Sun Dec 12 2004 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.4.0
* Wed Apr 09 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.3.4
* Sun Mar 30 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.3.3
* Sun Mar 23 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to 0.3.2
* Sun Mar 02 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- little patch to compile on ppc
* Sat Mar 01 2003 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to gxine 0.3
* Thu Dec 26 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to gxine 0.2.1
* Sat Dec 07 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- Update to gxine 0.2
* Thu Dec 05 2002 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- initial release
